#
# spec file for package epiphany-extensions (Version 2.20.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils docbook_4 epiphany epiphany-devel epiphany-lang esound esound-devel expat fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-lang gnome-doc-utils gnome-doc-utils-devel gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang gnutls gnutls-devel grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool iso-codes keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeprint libgnomeprint-devel libgnomeprint-lang libgnomeprintui libgnomeprintui-devel libgnomeprintui-lang libgnomesu libgnomesu-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libgpg-error-devel libidl libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libwnck libwnck-1-22 libwnck-devel libwnck-lang libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio licenses linux-kernel-headers m4 make man mktemp mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel mozilla-xulrunner181 mozilla-xulrunner181-devel ncurses net-tools netcfg nss-mdns openldap2-client opensp opensp-devel openssl-certs orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel post-build-checks pwdutils python python-cairo python-devel python-gnome python-gobject2 python-gtk python-numeric python-orbit rpm scrollkeeper scrollkeeper-lang sed setserial sgml-skel sqlite startup-notification sysvinit tar tcpd texinfo timezone update-alternatives update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           epiphany-extensions
%define xulrunner_version 181
BuildRequires:  docbook_4 epiphany epiphany-devel fdupes gcc-c++ gnome-common gnome-doc-utils-devel gnutls-devel gtk2 intltool libgnomeprintui-devel libwnck-devel libxml2-python mDNSResponder-devel mozilla-xulrunner181-devel opensp-devel pcre-devel perl-XML-Parser python-devel scrollkeeper update-desktop-files
Version:        2.20.0
Release:        8.7
Url:            http://www.gnome.org/projects/epiphany/
Prefix:         %{_prefix}
Group:          Productivity/Networking/Web/Browsers
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Extensions Collection for Epiphany
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.18/%{name}-%{version}.tar.bz2
AutoReqProv:    on
Provides:       epiphany-plugins
Obsoletes:      epiphany-plugins
%if %suse_version > 1000
Supplements:    epiphany
%endif
%if %suse_version > 1010 || 0%{?opensuse_bs}
BuildRequires:  mozilla-xulrunner%{xulrunner_version}-devel
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla-xulrunner%{xulrunner_version})
Requires:       mozilla-xulrunner%{xulrunner_version} = %{mozilla_ver}
%else
%if %suse_version > 1000 && %suse_version <= 1010
BuildRequires:  gecko-sdk
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla-xulrunner)
Requires:       mozilla-xulrunner = %{mozilla_ver}
%else
BuildRequires:  mozilla-devel
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla)
Requires:       mozilla = %{mozilla_ver}
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
%gconf_schemas_prereq

%description
This package contains the following Epiphany extensions: Error Viewer
and Validator, Mouse Gestures, Popup Blocker, and Tabs Move-To Menu.



Authors:
--------
    Marco Pesenti Gritti <marco@it.gnome.org>
    Adam Hooper <adamh@cvs.gnome.org>
    Christian Persch <chpe@gnome.org>
    Lee Willis

%lang_package
%debug_package
%prep
%setup -q

%build
# Disable dashboard extension and keep all others (--without-extensions=dashboard):
sed -i 's/\(_EXTENSIONS=.*\) dashboard /\1 /' configure.ac
autoreconf -f -i
%configure\
	--with-extensions=all\
	--enable-compile-warnings=yes\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}-2.20
%find_lang %{name} %{name}-2.20.lang
%find_gconf_schemas
cat %{name}.schemas_list > %{name}.lst
rm $RPM_BUILD_ROOT%{_libdir}/*/*/*/*.*a
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README TODO
%{_datadir}/epiphany-extensions
%{_datadir}/omf/epiphany-extensions
%{_datadir}/epiphany/icons/hicolor/*/status/*.*
%{_libdir}/epiphany/2.20/extensions/*

%files lang -f %{name}-2.20.lang

%changelog
* Mon Sep 17 2007 - mauro@asuse.de
- Updated for version 2.20 (Just bumped the version).
* Fri Aug 31 2007 - maw@suse.de
- Update to version 2.19.90:
  + Icon installation cleanup
  + Fix for b.g.o #437648.
* Wed Aug 08 2007 - maw@suse.de
- Split off a -lang subpackage.
* Thu Aug 02 2007 - maw@suse.de
- Update to version 2.19.6:
  + In-progress work to give Adblock a UI
  + Page info shows if a media/link is blocked (if Adblock is on)
  + Add gconf schemas to the smart-bookmarks extension
  + Remove the frame from around the Adblock icon to make its
  visual appearance match others
  + Sync with recent Mozilla API changes
- Use %%fdupes.
* Sat Jul 14 2007 - aj@suse.de
- It's really libwnck-devel.
* Mon Jul 09 2007 - maw@suse.de
- Update to version 2.19.5
- Bug fixes
- Buildrequire libwnck-1-22-devel instead of libwnck-devel.
* Wed May 16 2007 - sbrabec@suse.cz
- Added Supplements: epiphany.
* Mon Apr 02 2007 - maw@suse.de
- Update to version 2.18.0
- Update the URL in Source:
- b.g.o 348331, 412924, 352082, 342951, 342951, 395763, and 357052.
* Wed Jan 10 2007 - sbrabec@suse.cz
- Spec file cleanup.
* Sat Dec 30 2006 - james@usr-local-bin.org
- Change prefix to /usr.
* Fri Dec 01 2006 - sbrabec@suse.cz
- Fixed xulrunner dependencies for older products.
* Tue Nov 07 2006 - sbrabec@suse.cz
- Use exact xulrunner version 181 (#216100).
* Tue Nov 07 2006 - meissner@suse.de
- use RPM_OPT_FLAGS also for C++
* Fri Oct 13 2006 - danw@suse.de
- Remove dead patches
- Update for gnome-doc-utils-devel
* Mon Oct 02 2006 - jhargadon@suse.de
- update to version 2.16.1
- Sync with epiphany
* Fri Sep 15 2006 - jhargadon@suse.de
- update to version 2.16.0
- Fix varargs
- Sync with epiphany
* Fri Sep 01 2006 - jhargadon@suse.de
- update to version 2.15.2
- Live HTTP Headers
- Update Adblock with last blacklist from upstream
- Update intltool requirement to 0.35
- Drop support for gecko 1.7
- Don't ship dashboard extension (too broken)
- Don't ship imagebar extension (too broken)
- Show a notification dialog when a duplicate sidebar is added [#333306]
- translation updates
- Make the Extension Manager reflect which extensions are enabled,
  not which are active. Fixes bug #164704
- Remove references to bookmarks-tray
* Mon Apr 24 2006 - sbrabec@suse.cz
- Typo fix in cs.po.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - gekker@suse.de
- Update to version 1.8.2
- Remove upstreamed xulrunner patch
* Wed Nov 09 2005 - sbrabec@suse.cz
- Build with xulrunner.
- Fixed extra qualification.
* Mon Oct 24 2005 - sbrabec@suse.cz
- Updated to version 1.8.1.
- Disabled dashboard extension.
- Fixed extension directories ownership.
* Mon Sep 05 2005 - sbrabec@suse.cz
- Updated to version 1.8.0.
* Wed Aug 24 2005 - gekker@suse.de
- Update to version 1.7.4
* Fri Aug 05 2005 - sbrabec@suse.cz
- Updated to version 1.7.3.
- Removed files from unneeded devel subpackage.
* Tue Apr 26 2005 - gekker@suse.de
- Add sentinel.patch to fix warning
- Turn off -Werror
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 1.6.0 (GNOME 2.10).
* Fri Feb 18 2005 - sbrabec@suse.cz
- Updated to version 1.5.7.
* Tue Feb 08 2005 - ro@suse.de
- update to 1.5.6
* Tue Jan 18 2005 - ro@suse.de
- update to 1.5.4 / patch to build with current epiphany
* Tue Jan 18 2005 - ro@suse.de
- update to 1.5.3
* Fri Jan 14 2005 - ro@suse.de
- update to 1.4.4 to accept mozilla 1.7.5
* Sat Oct 30 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Aug 24 2004 - ro@suse.de
- accept mozilla-1.7.2 in configure
* Tue May 11 2004 - sbrabec@suse.cz
- New SuSE package, version 0.8.2.
